PostgreSQL 7.1.3 Documentation
Prev |  | Next

# END

## Name

END -- Commits the current transaction

## Synopsis

    END [ WORK | TRANSACTION ]

### Inputs

WORK, TRANSACTION

  Optional keywords. They have no effect.

### Outputs

`COMMIT`

  Message returned if the transaction is successfully committed.

`NOTICE: COMMIT: no transaction in progress`

  If there is no transaction in progress.

## Description

END is a Postgres extension, and is a synonym for the SQL92-compatible COMMIT.

### Notes

The keywords WORK and TRANSACTION are noise and can be omitted.

Use ROLLBACK to abort a transaction.

## Usage

To make all changes permanent:

    END WORK;

## Compatibility

### SQL92

END is a PostgreSQL extension which provides functionality equivalent to COMMIT.

Prev | Home | Next
DROP VIEW | Up | EXPLAIN